Bug 634622 - Review Request: eclipse-p2-discovery - Equinox p2 discovery
Summary: Review Request: eclipse-p2-discovery - Equinox p2 discovery
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Alexander Kurtakov
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 632342
TreeView+ depends on / blocked
 
Reported: 2010-09-16 15:04 UTC by Chris Aniszczyk
Modified: 2014-07-25 05:53 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-10-07 06:16:49 UTC
akurtako: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Chris Aniszczyk 2010-09-16 15:04:08 UTC
Spec URL: http://aniszczyk.org/misc/eclipse-p2-discovery.spec
SRPM URL: http://aniszczyk.org/misc/eclipse-p2-discovery-1.0.0-1.fc13.src.rpm
Description: Equinox p2 discovery

This is needed for the eclipse-mpc client

Comment 1 Chris Aniszczyk 2010-09-16 15:05:51 UTC
A question Alex

1) how are the doc files found? I commented them out in the .spec file because they weren't found properly...

Comment 2 Chris Aniszczyk 2010-09-16 15:07:04 UTC
I'm also suspicious that the source RPM doesn't fully work but need your input so I can get my head around building RPMs.

Comment 3 Chris Aniszczyk 2010-09-16 16:05:30 UTC
Ok, updated the SRPM and SPEC file, should be OK to review now Alex.

Comment 4 Alexander Kurtakov 2010-09-16 18:19:01 UTC
I'll do this one. Just a note for the future: Every time you change something you're supposed to add a new changelog entry and bump the release.

Comment 5 Alexander Kurtakov 2010-09-17 10:01:53 UTC
Review:
FIXIT: rpmlint must be run on every package. Output:
eclipse-p2-discovery.noarch: W: spurious-executable-perm /usr/share/doc/eclipse-p2-discovery-1.0.0/license.html
eclipse-p2-discovery.noarch: W: spurious-executable-perm /usr/share/doc/eclipse-p2-discovery-1.0.0/epl-v10.html
These files should not have executable permission set.
eclipse-p2-discovery.src: W: strange-permission eclipse-p2-discovery-fetch-src.sh 0755L
So does this one.
OK: The package must be named according to the Package Naming Guidelines .
OK: The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption.
OK: The package must meet the Packaging Guidelines .
OK: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines .
OK: The License field in the package spec file must match the actual license. 
OK: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.
OK: The spec file must be written in American English. 
OK: The spec file for the package MUST be legible.
OK: The sources used to build the package must match the upstream source, as provided in the spec URL. 
OK: The package MUST successfully compile and build into binary rpms on at least one primary architecture.
OK: All build dependencies must be listed in BuildRequires, 
OK: Packages must NOT bundle copies of system libraries.
OK: A package must own all directories that it creates. 
OK: A Fedora package must not list a file more than once in the spec file's %files listings. (Notable exception: license texts in specific situations)
OK: Permissions on files must be set properly. Executables should be set with executable permissions, for example. Every %files section must include a %defattr(...) line. 
OK: Each package must consistently use macros. 
OK: The package must contain code, or permissable content. 
OK: If a package includes something as %doc, it must not affect the runtime of the application.
OK: Packages must not own files or directories already owned by other packages. 
OK: All filenames in rpm packages must be valid UTF-8. 

Please fix the rpmlint issues pointed and I'll approve and sponsor you.
Btw, please think about using better compression for the tarball e.g. xz will give you ~30% smaller tarball

Comment 6 Chris Aniszczyk 2010-09-21 21:00:26 UTC
Ok, I updated the spec file and srcrpm.

There should be no more rpmlin issues. Here are the updated files...

Spec URL: http://aniszczyk.org/misc/eclipse-p2-discovery.spec
SRPM URL: http://aniszczyk.org/misc/eclipse-p2-discovery-1.0.0-1.fc13.src.rpm

For the future, I understand that every change will require a changelog bump. For now, I prefer to just start fresh until we get this one right. Ok?

Thanks Alex!

Comment 7 Alexander Kurtakov 2010-09-22 06:19:53 UTC
This package is APPROVED.

Chris, what is your fas username so I can sponsor you?

Comment 8 Chris Aniszczyk 2010-09-22 13:44:01 UTC
My fedora username is 'caniszczyk'

Comment 9 Alexander Kurtakov 2010-09-22 15:08:43 UTC
Thanks you're sponsored now.

Comment 10 Alexander Kurtakov 2010-09-22 15:09:53 UTC
Dropping FE-NEEDSPONSOR.

Comment 11 Chris Aniszczyk 2010-09-23 16:26:13 UTC
Alex, any idea why I don't have access to the fedora-cvs flag yet?

Comment 12 Chris Aniszczyk 2010-09-23 19:42:57 UTC
Adding 'fedora-cvs' flag

Comment 13 Chris Aniszczyk 2010-09-23 20:04:25 UTC
New Package SCM Request
=======================
Package Name: eclipse-p2-discovery
Short Description: Equinox p2 discovery
Owners: caniszczyk
Branches: f14
InitialCC: caniszczyk

Comment 14 Kevin Fenzi 2010-09-25 05:01:48 UTC
Git done (by process-git-requests).

Comment 15 Alexander Kurtakov 2010-10-07 06:16:49 UTC
Chris, Please close review bugs once you build the package in koji. I've been waiting for bugzilla notification that eclipse-mpc dependency bug has been closed. 
http://koji.fedoraproject.org/koji/buildinfo?buildID=198250
Closing now.


Note You need to log in before you can comment on or make changes to this bug.